package xapi-stdext-pervasives

  1. Overview
  2. Docs
Xapi's standard library extension, Pervasives

Install

Dune Dependency

Authors

Maintainers

Sources

xapi-stdext-4.23.0.tbz
sha256=3908ba667aeefa5c771179596b511f04da5cfeef42bbfcbb7872c7c248b6be3e
sha512=fcc494a523fa843183d75a5288c9b3b0d012e260f131c40793f59253cf2140e8bbf953e204b23d98d1ca68fbc8ba37352a4f1a674fd3f3bd91cf94c61aa07a55

Description

Published: 30 Oct 2023

README

Deprecated misc utility functions

These utility functions are used by several other services. Much of this should be replaced with other libraries such as

  • Stdlib

  • Bos

Eventually this library should disappear.

In the meantime documentation can be found at http://xapi-project.github.io/stdext/index.html

Dependencies (4)

  1. xapi-backtrace
  2. logs
  3. ocaml >= "4.08"
  4. dune >= "2.7"

Dev Dependencies (1)

  1. odoc with-doc

Used by (3)

  1. xapi-rrd >= "1.9.0"
  2. xapi-stdext-threads = "4.23.0"
  3. xapi-stdext-unix = "4.23.0"

Conflicts

None